## sensor-bme680 2.0.1

=== debian/changelog ===
sensor-bme680 (2.0.1) stable; urgency=medium

  * Refactor to use libwildlifesystems shared library
  * Add setup, enable, mock commands for consistent CLI
  * Update man page with all commands
  * Fix addr_str buffer size

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 12:00:00 +0000

sensor-bme680 (2.0.0) stable; urgency=medium

  * Rewrite in C

 -- Ed Baker <ed@ebaker.me.uk>  Sun, 25 Jan 2026 12:00:00 +0000
