=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/sensor-bme680 PREFIX=/usr install

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf debian/sensor-bme680 debian/.debhelper

override_dh_dwz:

override_dh_strip:
	dh_strip --no-automatic-dbgsym
